#include "Camera.h"

Camera::Camera(void)
{
	mediator = new InnerMediator();
	modules[0] = new Iris(mediator,0);
	modules[1] = new Shutter(mediator,1);
	mediator->SetInnerModule(0,modules[0]);
	mediator->SetInnerModule(1,modules[1]);
	mediator->ChangeMode(0);
}

void Camera::ChangeMode(int mode)
{
	if((mode != 0)&&(mode!=1))
	{
		return;
	}
	if(mode == 0)
	{
		cout<<"***    켱    ***"<<endl;
	}
	else
	{
		cout<<"***    ǵ 켱    ***"<<endl;
	}
	mediator->ChangeMode(mode);
}
void Camera::SetIris(int iris)
{
	modules[0]->SetValue(iris);
}
void Camera::SetShutterSpeed(int speed)
{
	modules[1]->SetValue(speed);
}
Camera::~Camera(void)
{
	delete mediator;
	delete modules[0];
	delete modules[1];
}
